Liferay.Loader.define("site-admin-web@4.0.92/js/AddGroup", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function _default(_ref) {
      var namespace = _ref.namespace;
      var addButton = document.getElementById("".concat(namespace, "addButton"));
      var form = document.getElementById("".concat(namespace, "fm"));
      form.addEventListener('submit', function (event) {
        event.preventDefault();
        event.stopPropagation();

        if (addButton.disabled) {
          return;
        }

        addButton.disabled = true;
        var formData = new FormData(form);
        Liferay.Util.fetch(form.action, {
          body: formData,
          method: 'POST'
        }).then(function (response) {
          return response.json();
        }).then(function (response) {
          if (response.redirectURL) {
            var redirectURL = new URL(response.redirectURL, window.location.origin);
            redirectURL.searchParams.set('p_p_state', 'normal');
            var opener = Liferay.Util.getOpener();
            opener.Liferay.fire('closeModal', {
              id: "".concat(namespace, "addSiteDialog"),
              redirect: redirectURL.toString()
            });
          } else {
            Liferay.Util.openToast({
              message: response.error,
              type: 'danger'
            });
            addButton.disabled = false;
          }
        });
      });
    }
    //# sourceMappingURL=AddGroup.js.map
  }
});
//# sourceMappingURL=AddGroup.js.map